# 
# spec file for package sca-patterns-groupwise
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

%define sca_common sca
%define patdirbase /usr/lib/%{sca_common}
%define patdir %{patdirbase}/patterns
%define patuser root
%define patgrp root
%define mode 544
%define category groupwise

Name:         sca-patterns-groupwise
Version:      1.3
Release:      1.17
Summary:      Supportconfig Analysis Patterns for GroupWise
License:      GPL-2.0
URL:          https://github.com/g23guy/sca-patterns-groupwise
Group:        System/Monitoring
Source:       %{name}-%{version}.tar.gz
Buildarch:    noarch
Requires:     sca-patterns-base

%description
Supportconfig Analysis (SCA) appliance patterns to identify known
issues relating to all versions of GroupWise

See %{_docdir}/sca-patterns-base/COPYING.GPLv2

%prep
%setup -q

%build

%install
pwd;ls -la
install -d %{buildroot}/%{patdir}/%{category}
install -m %{mode} patterns/%{category}/* %{buildroot}/%{patdir}/%{category}

%files
%defattr(-,%{patuser},%{patgrp})
%dir %{patdirbase}
%dir %{patdir}
%dir %{patdir}/%{category}
%attr(%{mode},%{patuser},%{patgrp}) %{patdir}/%{category}/*

%changelog
* Tue Jan  2 2018 jason.record@suse.com
- Removed unnecessary %%clean from spec
* Mon Dec 18 2017 jason.record@suse.com
- Updated spec file with spec-cleaner suggestions
- Removed COPYING.GPLv2
* Wed Apr 16 2014 jrecord@suse.com
- Changed to lower case directory for consistency
* Thu Mar 13 2014 jrecord@suse.com
- Fixed FSF address in all patterns
- Change to System/Monitoring spec Group
* Sat Feb  8 2014 jrecord@suse.com
- Packaged COPYING.GPLv2
* Thu Jan 16 2014 jrecord@suse.com
- relocated files according to FHS
* Wed Dec 18 2013 jrecord@suse.com
- separated as individual RPM package
